%define upstream_name    Error
%define upstream_version 0.17030

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Epoch:      1

Summary:    Error/exception handling in an OO-ish way
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%{?perl_default_filter}

%description
The Error package provides two interfaces. Firstly Error
provides a procedural interface to exception handling.
Secondly Error is a base class for errors/exceptions that
can either be thrown, for subsequent catch, or can simply
be recorded.
Errors in the class Error should not be thrown directly,
but the user should throw errors from a sub-class of Error.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc ChangeLog Changes LICENSE META.json META.yml MYMETA.yml README examples
%{perl_vendorlib}/Error
%{perl_vendorlib}/Error.pm
%{_mandir}/*/*

%changelog
* Wed Feb 19 2025 tv <tv> 1:0.170.300-1.mga10
+ Revision: 2149736
- update to 0.17030

* Mon Mar 21 2022 umeabot <umeabot> 1:0.170.290-4.mga9
+ Revision: 1812329
- Mageia 9 Mass Rebuild

* Thu Feb 20 2020 umeabot <umeabot> 1:0.170.290-3.mga8
+ Revision: 1547113
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 joequant <joequant> 1:0.170.290-2.mga8
+ Revision: 1487550
- rebuild

* Wed Jan 29 2020 tv <tv> 1:0.170.290-1.mga8
+ Revision: 1484954
- update to 0.17029

* Sun Aug 25 2019 tv <tv> 1:0.170.280-1.mga8
+ Revision: 1431962
- update to 0.17028

* Tue Oct 30 2018 tv <tv> 1:0.170.270-1.mga7
+ Revision: 1326605
- update to 0.17027

* Thu Sep 20 2018 umeabot <umeabot> 1:0.170.260-2.mga7
+ Revision: 1283629
- Mageia 7 Mass Rebuild

* Sun May 27 2018 tv <tv> 1:0.170.260-1.mga7
+ Revision: 1232383
- update to 0.17026

* Mon Oct 02 2017 tv <tv> 1:0.170.250-2.mga7
+ Revision: 1164298
- rebuild with fixed rpm for missing autodeps

* Fri Sep 15 2017 tv <tv> 1:0.170.250-1.mga7
+ Revision: 1154259
- new release

* Sun Jun 19 2016 pterjan <pterjan> 1:0.170.240-3.mga6
+ Revision: 1026931
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:0.170.240-2.mga6
+ Revision: 967961
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:0.170.240-1.mga6
+ Revision: 850939
- update to 0.17024

* Wed Oct 15 2014 umeabot <umeabot> 1:0.170.220-4.mga5
+ Revision: 748652
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1:0.170.220-3.mga5
+ Revision: 732097
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1:0.170.220-2.mga5
+ Revision: 684645
- Mageia 5 Mass Rebuild

* Thu Feb 13 2014 jquelin <jquelin> 1:0.170.220-1.mga5
+ Revision: 590714
- update to 0.17022

* Sat Oct 19 2013 umeabot <umeabot> 1:0.170.210-2.mga4
+ Revision: 533370
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 1:0.170.210-1.mga4
+ Revision: 472704
- update to 0.17021

* Sun Jun 02 2013 kharec <kharec> 1:0.170.200-1.mga4
+ Revision: 434991
- update to 0.17020

* Sun Jan 13 2013 umeabot <umeabot> 1:0.170.190-2.mga3
+ Revision: 366887
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1:0.170.190-1.mga3
+ Revision: 342150
- update to 0.17019

* Tue Jun 05 2012 kharec <kharec> 1:0.170.180-1.mga3
+ Revision: 254554
- update to 0.17018

* Thu Feb 23 2012 jquelin <jquelin> 1:0.170.170-1.mga2
+ Revision: 212857
- update to 0.17017

* Thu Jan 20 2011 jquelin <jquelin> 1:0.170.160-1.mga1
+ Revision: 26099
- mageia rebuild
- imported package perl-Error

